clang 8.0.0

Static Public Member Functions | List of all members
clang::TypePropertyCache< Private > Class Template Reference

The type-property cache. More...

## Static Public Member Functions
static CachedProperties | get (QualType T)
static CachedProperties | get (const Type *T)
static void | ensure (const Type *T)

## Detailed Description

### template<class Private>
class clang::TypePropertyCache< Private >

The type-property cache.

This is templated so as to be instantiated at an internal type to prevent unnecessary symbol leakage.

Definition at line 3448 of file Type.cpp.

## Member Function Documentation

## ◆ ensure()

template<class Private >

static void clang::TypePropertyCache< Private >::ensure | ( | const Type * | T | ) |
| inline static

Definition at line 3460 of file Type.cpp.

References computeCachedProperties(), clang::Type::getCanonicalTypeInternal(), clang::QualType::getTypePtr(), clang::Type::isCanonicalUnqualified(), and clang::Type::TypeBits.

Referenced by clang::Type::getLinkage(), and clang::Type::hasUnnamedOrLocalType().

## ◆ get() [1/2]

template<class Private >

static CachedProperties clang::TypePropertyCache< Private >::get | ( | QualType | T | ) |
| inline static

Definition at line 3450 of file Type.cpp.

Referenced by computeCachedProperties().

## ◆ get() [2/2]

template<class Private >

static CachedProperties clang::TypePropertyCache< Private >::get | ( | const Type * | T | ) |
| inline static

Definition at line 3454 of file Type.cpp.

References clang::Type::TypeBits.

The documentation for this class was generated from the following file:

- lib/AST/Type.cpp